
TYPO3.Flow - Bug # 31500

Status: Under Review Priority: Must have
Author: Karsten Dambekalns Category: Validation
Created: 2011-11-02 Assigned To: Karsten Dambekalns
Updated: 2014-02-24 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Argument validation for CLI requests is not done
Description

There is no code in place to validate CLI arguments. A first patch is available at https://review.typo3.org/#change,6014 - it's clearly
WIP, though.

Related issues:
related to TYPO3.Flow - Feature # 31373: Annotation to enforce validation on ... Rejected 2011-10-28

History
#1 - 2011-11-07 22:37 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 2 of change Icb2b4a128d9e854b43f65c32ac9d5749571a6432 has been pushed to the review server.
It is available at http://review.typo3.org/6014

#2 - 2011-11-08 12:11 - Mr. Hudson

Patch set 3 of change Icb2b4a128d9e854b43f65c32ac9d5749571a6432 has been pushed to the review server.
It is available at http://review.typo3.org/6014

#3 - 2011-11-08 15:06 - Mr. Hudson

Patch set 4 of change Icb2b4a128d9e854b43f65c32ac9d5749571a6432 has been pushed to the review server.
It is available at http://review.typo3.org/6014

#4 - 2011-11-22 12:48 - Karsten Dambekalns
- Target version changed from 1.0.1 to 1.0.2

#5 - 2011-12-22 08:51 - Karsten Dambekalns
- Target version changed from 1.0.2 to 1.0.3

#6 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#7 - 2012-03-21 23:05 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6014

#8 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#9 - 2012-04-19 12:54 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6014

#10 - 2012-04-19 13:08 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6014

#11 - 2012-06-05 21:20 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 RC1

#12 - 2012-06-19 11:02 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 2.0 beta 1

#13 - 2012-12-10 13:01 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#14 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)

#15 - 2013-10-09 14:24 - Bastian Waidelich
- Status changed from Under Review to Needs Feedback

Any news on this one? The first patch is already ancient ;)

#16 - 2013-10-11 11:12 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/6014

#17 - 2014-02-24 14:00 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/6014
